using System;

namespace ConsoleApp55
{
    class Program
    {
        static void ispisi(int a, int b, int x, int y)
        {
            if (x < a && y < b)
            {
                Console.WriteLine("?");
                return;
            }
            if (x < a)
            {
                Console.WriteLine("prvi");
                return;
            }
            if (y < b)
            {
                Console.WriteLine("drugi");
                return;
            }
            Console.WriteLine("nijedan");
        }
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int a = int.Parse(unos[0]), b = int.Parse(unos[1]);
            unos = Console.ReadLine().Split();
            int x = int.Parse(unos[0]), y = int.Parse(unos[1]);

            ispisi(a, b, x, y);
        }
    }
}